[-]
Main Menu
Portal
Forums
Wiki
Rules
FAQs
Events Calendar
Downloads

[-]
Latest Threads
You are a fond memory. Good night, CoTH...
Last Post: Duraza
12-17-2021 02:20 PM
» Replies: 39
» Views: 90033
Where Are You Now?
Last Post: Tales23
11-24-2020 06:53 PM
» Replies: 16
» Views: 722
What is glistening
Last Post: Xigo
08-17-2020 10:19 AM
» Replies: 9
» Views: 5044
You Can't Go Home Again
Last Post: Scout
03-15-2019 09:24 PM
» Replies: 0
» Views: 3928
"Years of Service" Awards
Last Post: Maulbane
05-26-2018 09:58 PM
» Replies: 100
» Views: 3634

[-]
Who's Online
There are currently no members online.

About the 3.03 update...
#1
i still not playing, i'm in introducion accept, but i got a question

the 3.03 update my burnig crusade have, i have to install the wrath of lich king to play in this server??
If u want u can, but the greater your need, Harder will be to conquer it (hugo)
PM
Reply
#2
Yes, you need WotLK to play here. But your intro has not been accepted yet, on account of you still being a visitor.
[Image: Signature.png]
PM
Reply
#3
thanks for the quick reply, Vrahn
If u want u can, but the greater your need, Harder will be to conquer it (hugo)
PM
Reply
#4
No problem, just go and download WotLK while you wait.
[Image: Signature.png]
PM
Reply




Users browsing this thread: 1 Guest(s)

youth-backhand
This forum uses Lukasz Tkacz MyBB addons.